#ifndef XSOUNDCURVE_H
#define XSOUNDCURVE_H

#include "xasset.h"
#include "xstring.h"

class XSoundCurve: public XAsset
{
public:
    XSoundCurve();

    XString* GetFileName();
    void SetFileName(XString* aFileName);

    float GetKnotEntry(int aRow, int aColumn);

    void SetKnotEntry(int aRow, int aColumn, float aValue);
    int GetKnotCount();

    virtual void Clear() override;
    virtual void ParseData(XDataStream* aStream) override;

private:
    XString* mFileName;
    int mKnotCount;
    QVector<QVector<float>> mKnots;
};

#endif // XSOUNDCURVE_H
